<?php

/*----------------------------------------------------------------------------------|  simontech.me  |----/


				Award Manager - Public Edition 


/-------------------------------------------------------------------------------------------------------/





	@version		1.0.7


	@build			8th June, 2019


	@created		19th April, 2019


	@package		Award Manager


	@subpackage		view.html.php


	@author			SimonTech <https://simontech.me>	


	@copyright		Copyright (C) 2019 SimonTech Development. All Rights Reserved


	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html


  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____ 


 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)


.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(  


\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__) 





/------------------------------------------------------------------------------------------------------*/





// No direct access to this file


defined('_JEXEC') or die('Restricted access');





/**


 * Award_manager Import View


 */


class Award_managerViewImport extends JViewLegacy


{


	protected $headerList;


	protected $hasPackage = false;


	protected $headers;


	protected $hasHeader = 0;


	protected $dataType;





	public function display($tpl = null)


	{		


		if ($this->getLayout() !== 'modal')


		{


			// Include helper submenu


			Award_managerHelper::addSubmenu('import');


		}





		$paths = new stdClass;


		$paths->first = '';


		$state = $this->get('state');





		$this->paths = &$paths;


		$this->state = &$state;


                // get global action permissions


		$this->canDo = Award_managerHelper::getActions('import');





		// We don't need toolbar in the modal window.


		if ($this->getLayout() !== 'modal')


		{


			$this->addToolbar();


			$this->sidebar = JHtmlSidebar::render();


		}





		// get the session object


		$session = JFactory::getSession();


		// check if it has package


		$this->hasPackage 	= $session->get('hasPackage', false);


		$this->dataType 	= $session->get('dataType', false);


		if($this->hasPackage && $this->dataType)


		{


			$this->headerList 	= json_decode($session->get($this->dataType.'_VDM_IMPORTHEADERS', false),true);


			$this->headers 		= Award_managerHelper::getFileHeaders($this->dataType);


			// clear the data type


			$session->clear('dataType');


		}


		


		// Check for errors.


		if (count($errors = $this->get('Errors')))


		{


			throw new Exception(implode("\n", $errors), 500);


		}





		// Display the template


		parent::display($tpl);


	}





	/**


	 * Setting the toolbar


	 */


	protected function addToolBar()


	{


		JToolBarHelper::title(JText::_('COM_AWARD_MANAGER_IMPORT_TITLE'), 'upload');


		JHtmlSidebar::setAction('index.php?option=com_award_manager&view=import');





		if ($this->canDo->get('core.admin') || $this->canDo->get('core.options'))


		{


			JToolBarHelper::preferences('com_award_manager');


		}





		// set help url for this view if found


		$help_url = Award_managerHelper::getHelpUrl('import');


		if (Award_managerHelper::checkString($help_url))


		{


			   JToolbarHelper::help('COM_AWARD_MANAGER_HELP_MANAGER', false, $help_url);


		}


	}


}


